EZ_GetWidgetPaddings(3)

NAME
EZ_GetWidgetPaddings - return x, y and focus paddings

SYNOPSIS
#include <EZ.h>

void  EZ_GetWidgetPaddings( EZ_Widget*widget,  int *padx_ret, int *pady_ret,
                            int *focuspad_ret )

ARGUMENTS
widget Specifies an EZ Widget.

padx_ret, pady_ret Specifies the return for the paddings in the horizontal and the vertical direction respectively.

focuspad_ret Specifies the return for the keyboard focus padding outside the widget border.

DESCRIPTION

EZ_GetWidgetPaddings returns the dimension of all three paddings. Padx and pady are the spaces between the widget border and its contents (labels or children widgets). Focus pad is the amount of spaces reserved for highlighting keyboard focus.

SEE ALSO
EZ_GetWidgetGeometry(3)
EZ_GetWidgetBorder(3)